## npm 8.3.0~ds

=== debian/changelog ===
npm (8.3.0~ds-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Sun, 26 Dec 2021 08:32:24 +0100

npm (8.3.0~ds-2) unstable; urgency=medium

  * Team upload
  * Install arborist, npm-packlist, pacote and qrcode-terminal in /usr/bin and
    build manpages

 -- Yadd <yadd@debian.org>  Thu, 23 Dec 2021 12:49:42 +0100

npm (8.3.0~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.3.0~ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 13 Dec 2021 10:32:35 +0100

npm (8.1.4+ds-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 13 Dec 2021 06:30:02 +0100

npm (8.1.4+ds-1) experimental; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Clean Files-Excluded
  * New upstream version 8.1.4+ds
  * Update dependencies using result of pkgjs-depends npm@8.1.4
  * Drop require test, no more usable
  * Update patches

 -- Yadd <yadd@debian.org>  Sat, 27 Nov 2021 12:34:07 +0100

npm (7.24.2+ds-2) unstable; urgency=medium

  * Team upload
  * Move node-opener dependency to suggested dependencies. Thanks to
    Jonas Smedegaard (Closes: #1000673)
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sat, 27 Nov 2021 10:02:08 +0100

npm (7.24.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.24.2+ds
  * Prepare test for tap ≥ 15
  * Remove unneeded dependency version constraints
  * Install packages/*
  * Require dh-sequence-nodejs ≥ 0.9.72
  * Update lintian overrides
  * Install /usr/bin/npm-arborist and build manpage using help2man

 -- Yadd <yadd@debian.org>  Wed, 06 Oct 2021 10:03:29 +0200

npm (7.24.0+ds-2) unstable; urgency=medium

  * Team upload
  * Update copyright
  * Update lintian overrides
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 23 Sep 2021 18:16:10 +0200

npm (7.24.0+ds-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Yadd ]
  * Fix debian/watch
  * Update excluded files list
  * Update dependencies
  * New upstream version 7.24.0+ds (Closes: #993405, #993407,CVE-2021-39134,
    CVE-2021-39135)
  * Refresh patches
  * Mark JS build dependencies with <!nocheck>, except node-marked-man
  * Temporarily disable upstream test (needs tap ≥ 15)
  * Drop unneeded version constraints

 -- Yadd <yadd@debian.org>  Wed, 22 Sep 2021 13:51:39 +0200

npm (7.6.3+ds-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.6.3+ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 15 Mar 2021 07:42:14 +0100

npm (7.6.0+ds-1) experimental; urgency=medium

  * Team upload
  * Exclude diff from import and add dependency to node-diff
  * New upstream version 7.6.0+ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 03 Mar 2021 16:26:03 +0100

=== debian/control ===
Source: npm
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13),
 bash-completion,
 dh-sequence-nodejs (>= 0.9.72),
 help2man <!nodoc>,
 node-abbrev <!nocheck>,
 node-agent-base <!nocheck>,
 node-ansistyles <!nocheck>,
 node-aproba <!nocheck>,
 node-archy <!nocheck>,
 node-asap <!nocheck>,
 node-cacache <!nocheck>,
 node-chalk <!nocheck>,
 node-chownr <!nocheck>,
 node-colors <!nocheck>,
 node-columnify <!nocheck>,
 node-debug <!nocheck>,
 node-depd <!nocheck>,
 node-encoding <!nocheck>,
 node-glob <!nocheck>,
 node-got <!nocheck>,
 node-graceful-fs <!nocheck>,
 node-gyp <!nocheck>,
 node-hosted-git-info <!nocheck>,
 node-https-proxy-agent <!nocheck>,
 node-ini <!nocheck>,
 node-ip <!nocheck>,
 node-ip-regex <!nocheck>,
 node-json-parse-better-errors <!nocheck>,
 node-jsonparse <!nocheck>,
 node-lru-cache <!nocheck>,
 node-marked-man,
 node-minimatch <!nocheck>,
 node-mkdirp <!nocheck>,
 node-ms <!nocheck>,
 node-negotiator <!nocheck>,
 node-nopt <!nocheck>,
 node-normalize-package-data <!nocheck>,
 node-npm-bundled <!nocheck>,
 node-npm-package-arg <!nocheck>,
 node-npmlog <!nocheck>,
 node-object-assign <!nocheck>,
 node-once <!nocheck>,
 node-opener <!nocheck>,
 node-promise-retry <!nocheck>,
 node-promzard <!nocheck>,
 node-read <!nocheck>,
 node-read-package-json <!nocheck>,
 node-rimraf <!nocheck>,
 node-semver <!nocheck>,
 node-ssri <!nocheck>,
 node-string-width <!nocheck>,
 node-strip-ansi <!nocheck>,
 node-tap <!nodoc>,
 node-tar <!nocheck>,
 node-text-table <!nocheck>,
 node-validate-npm-package-license <!nocheck>,
 node-validate-npm-package-name <!nocheck>,
 node-which <!nocheck>,
 node-wrappy <!nocheck>,
 node-write-file-atomic <!nocheck>,
 node-yallist
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/npm
Vcs-Git: https://salsa.debian.org/js-team/npm.git
Homepage: https://docs.npmjs.com/
Rules-Requires-Root: no

Package: npm
Architecture: all
Depends: ${misc:Depends},
 ca-certificates,
 node-abbrev,
 node-agent-base,
 node-ansistyles,
 node-aproba,
 node-archy,
 node-asap,
 node-cacache,
 node-chalk,
 node-chownr,
 node-colors,
 node-columnify,
 node-debug,
 node-depd,
 node-encoding,
 node-glob,
 node-got,
 node-graceful-fs,
 node-gyp,
 node-hosted-git-info,
 node-https-proxy-agent,
 node-ini,
 node-ip,
 node-ip-regex,
 node-json-parse-better-errors,
 node-jsonparse,
 node-lru-cache,
 node-minimatch,
 node-mkdirp,
 node-ms,
 node-negotiator,
 node-nopt,
 node-normalize-package-data,
 node-npm-bundled,
 node-npm-package-arg,
 node-npmlog,
 node-object-assign,
 node-once,
 node-promise-retry,
 node-promzard,
 node-read,
 node-read-package-json,
 node-rimraf,
 node-semver,
 node-ssri,
 node-string-width,
 node-strip-ansi,
 node-tar,
 node-text-table,
 node-validate-npm-package-license,
 node-validate-npm-package-name,
 node-which,
 node-wrappy,
 node-write-file-atomic,
 node-yallist,
 nodejs:any (>= 10),
Recommends: git
 , node-tap
Suggests: node-opener
Provides: ${nodejs:Provides}
 , arborist (= ${arborist:Version})
 , npm-packlist (= ${npmpl:Version})
 , pacote (= ${pacote:Version})
 , qrcode-terminal (= ${qrt:Version})
Description: package manager for Node.js
 Node.js is an event-based server-side javascript engine.
 .
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.
 .
 Install also node-opener to have full npm features enabled.

## npm 8.5.1~ds

=== Makefile ===
# vim: set softtabstop=2 shiftwidth=2:
SHELL = bash

PUBLISHTAG = $(shell node scripts/publish-tag.js)
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)

markdowns = $(shell find docs -name '*.md' | grep -v 'index')

# these docs have the @VERSION@ tag in them, so they have to be rebuilt
# whenever the package.json is touched, in case the version changed.
version_mandocs = $(shell grep -rl '@VERSION@' docs/content \
									|sed 's|.md|.1|g' \
									|sed 's|docs/content/commands/|man/man1/|g' )

cli_mandocs = $(shell find docs/content/commands -name '*.md' \
               |sed 's|.md|.1|g' \
               |sed 's|docs/content/commands/|man/man1/|g' )

files_mandocs = $(shell find docs/content/configuring-npm -name '*.md' \
               |sed 's|.md|.5|g' \
               |sed 's|docs/content/configuring-npm/|man/man5/|g' ) \

misc_mandocs = $(shell find docs/content/using-npm -name '*.md' \
               |sed 's|.md|.7|g' \
               |sed 's|docs/content/using-npm/|man/man7/|g' ) \

mandocs = $(cli_mandocs) $(files_mandocs) $(misc_mandocs)

all: docs

docs: mandocs htmldocs

# don't regenerate the snapshot if we're generating
# snapshots, since presumably we just did that.
mandocs: dev-deps $(mandocs)
	@ ! [ $${npm_lifecycle_event} = "snap" ] && \
	  ! [ $${npm_lifecycle_event} = "postsnap" ] && \
	  TAP_SNAPSHOT=1 node test/lib/utils/config/definitions.js || true

$(version_mandocs): package.json

htmldocs: dev-deps
	node bin/npm-cli.js rebuild
	node bin/npm-cli.js run -w docs build

clean: docs-clean gitclean

docsclean: docs-clean

docs-clean:
	rm -rf man

## build-time dependencies for the documentation
dev-deps:
	node bin/npm-cli.js install --no-audit --ignore-scripts

## targets for man files, these are encouraged to be only built by running `make docs` or `make mandocs`
man/man1/%.1: docs/content/commands/%.md scripts/docs-build.js
	@[ -d man/man1 ] || mkdir -p man/man1
	node scripts/docs-build.js $< $@

man/man5/npm-json.5: man/man5/package.json.5
	cp $< $@

man/man5/npm-global.5: man/man5/folders.5
	cp $< $@

man/man5/%.5: docs/content/configuring-npm/%.md scripts/docs-build.js
	@[ -d man/man5 ] || mkdir -p man/man5
	node scripts/docs-build.js $< $@

man/man7/%.7: docs/content/using-npm/%.md scripts/docs-build.js
	@[ -d man/man7 ] || mkdir -p man/man7
	node scripts/docs-build.js $< $@

# Any time the config definitions description changes, automatically
# update the documentation to account for it
docs/content/using-npm/config.md: scripts/config-doc.js lib/utils/config/*.js
	node scripts/config-doc.js

docs/content/commands/npm-%.md: lib/%.js scripts/config-doc-command.js lib/utils/config/*.js
	node scripts/config-doc-command.js $@ $<

freshdocs:
	touch lib/utils/config/definitions.js
	touch scripts/config-doc-command.js
	touch scripts/config-doc.js
	make docs

test: dev-deps
	node bin/npm-cli.js test

smoke-tests: dev-deps
	node bin/npm-cli.js run smoke-tests -- --no-check-coverage

ls-ok:
	node . ls --production >/dev/null

gitclean:
	git clean -fd

uninstall:
	node bin/npm-cli.js rm -g -f npm

link: uninstall
	node bin/npm-cli.js link -f --ignore-scripts

prune:
	node bin/npm-cli.js run resetdeps
	node bin/npm-cli.js prune --production --no-save --no-audit
	@[[ "$(shell git status -s)" != "" ]] && echo "ERR: found unpruned files" && exit 1 || echo "git status is clean"


publish: gitclean ls-ok link test smoke-tests docs prune
	@git push origin :v$(shell node bin/npm-cli.js --no-timing -v) 2>&1 || true
	git push origin $(BRANCH) &&\
	git push origin --tags &&\
	node bin/npm-cli.js publish --tag=$(PUBLISHTAG)

release: gitclean ls-ok docs prune
	@bash scripts/release.sh

.PHONY: all latest install dev link docs clean uninstall test man docs-clean docsclean release ls-ok dev-deps prune freshdocs

=== debian/changelog ===
npm (8.5.1~ds-1) unstable; urgency=medium

  * Team upload
  * Drop dependency to node-object-assign
  * New upstream version 8.5.1~ds

 -- Yadd <yadd@debian.org>  Fri, 18 Feb 2022 06:14:06 +0100

npm (8.5.0~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.0~ds
  * Exclude cli-table3 emoji-regex and @npmcli/move-file
    and require relevant dependencies

 -- Yadd <yadd@debian.org>  Mon, 14 Feb 2022 17:24:15 +0100

npm (8.4.1~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.1~ds

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 12:51:47 +0100

npm (8.4.0~ds-1) unstable; urgency=medium

  * Team upload
  * Replace embedded minipass-* by dependency to na node-minipass
  * New upstream version 8.4.0~ds
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sat, 29 Jan 2022 18:21:11 +0100

npm (8.3.2~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.3.2~ds
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 27 Jan 2022 13:06:13 +0100

npm (8.3.1~ds-1) unstable; urgency=medium

  * Team upload
  * Update copyright
  * Fix no-duplication test
  * Set upstream metadata fields: Security-Contact.
  * New upstream version 8.3.1~ds
  * Build depends on dh-sequence-nodejs ≥ 0.11.5~ (regression in clean)

 -- Yadd <yadd@debian.org>  Mon, 17 Jan 2022 07:04:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  bash-completion,
- dh-sequence-nodejs (>= 0.9.72),
+ dh-sequence-nodejs (>= 0.11.5~),
  help2man <!nodoc>,
  node-abbrev <!nocheck>,
  node-agent-base <!nocheck>,
@@ -17,10 +17,12 @@
  node-cacache <!nocheck>,
  node-chalk <!nocheck>,
  node-chownr <!nocheck>,
+ node-cli-table3 <!nocheck>,
  node-colors <!nocheck>,
  node-columnify <!nocheck>,
  node-debug <!nocheck>,
  node-depd <!nocheck>,
+ node-emoji-regex <!nocheck>,
  node-encoding <!nocheck>,
  node-glob <!nocheck>,
  node-got <!nocheck>,
@@ -36,6 +38,7 @@
  node-lru-cache <!nocheck>,
  node-marked-man,
  node-minimatch <!nocheck>,
+ node-minipass <!nocheck>,
  node-mkdirp <!nocheck>,
  node-ms <!nocheck>,
  node-negotiator <!nocheck>,
@@ -44,7 +47,6 @@
  node-npm-bundled <!nocheck>,
  node-npm-package-arg <!nocheck>,
  node-npmlog <!nocheck>,
- node-object-assign <!nocheck>,
  node-once <!nocheck>,
  node-opener <!nocheck>,
  node-promise-retry <!nocheck>,
@@ -84,10 +86,12 @@
  node-cacache,
  node-chalk,
  node-chownr,
+ node-cli-table3,
  node-colors,
  node-columnify,
  node-debug,
  node-depd,
+ node-emoji-regex,
  node-encoding,
  node-glob,
  node-got,
@@ -102,6 +106,7 @@
  node-jsonparse,
  node-lru-cache,
  node-minimatch,
+ node-minipass,
  node-mkdirp,
  node-ms,
  node-negotiator,
@@ -110,7 +115,6 @@
  node-npm-bundled,
  node-npm-package-arg,
  node-npmlog,
- node-object-assign,
  node-once,
  node-promise-retry,
  node-promzard,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export HOME=/tmp
ARBORIST_VERSION=$(shell pkgjs-pjson node_modules/@npmcli/arborist version)
NPM_PACKLIST_VERSION=$(shell pkgjs-pjson node_modules/npm-packlist version)
PACOTE_VERSION=$(shell pkgjs-pjson node_modules/pacote version)
QRT_VERSION=$(shell pkgjs-pjson node_modules/qrcode-terminal version)

%:
	dh $@ --with bash-completion

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	prefix=/usr make mandocs
	help2man --no-discard-stderr -n "the npm tree doctor" -N \
			--version-string $(ARBORIST_VERSION) \
			node_modules/@npmcli/arborist/bin/index.js \
		>man/man1/npm-arborist.1
	node_modules/qrcode-terminal/bin/qrcode-terminal.js --help
	help2man -N -n 'The JavaScript Package Handler' --version-string $(PACOTE_VERSION) \
		node_modules/pacote/lib/bin.js >man/man1/pacote.1
	help2man -N -n 'List files to embed in npm package' --version-string $(NPM_PACKLIST_VERSION) \
		node_modules/npm-packlist/bin/index.js >man/man1/npm-packlist.1
endif

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/npm/usr/share/nodejs/npm/lib/utils/completion.sh
	chmod a+x debian/npm/usr/share/nodejs/npm/bin/npm-cli.js
	chmod a+x debian/npm/usr/share/nodejs/npm/bin/npx-cli.js
	chmod a+x debian/npm/usr/share/nodejs/@npmcli/arborist/bin/index.js
	chmod a+x debian/npm/usr/share/nodejs/npm-packlist/bin/index.js
	chmod a+x debian/npm/usr/share/nodejs/pacote/lib/bin.js
	chmod a+x debian/npm/usr/share/nodejs/qrcode-terminal/bin/qrcode-terminal.js

override_dh_auto_test:
	# Test are lauched only during autopkgtest

override_dh_auto_install:
	dh_auto_install --buildsystem=nodejs
	rm -vf debian/npm/usr/share/nodejs/npm/bin/node-gyp-bin/node-gyp.cmd \
		debian/npm/usr/share/nodejs/npm/bin/*.cmd \
		debian/npm/usr/share/nodejs/npm/node_modules/@npmcli/run-script/lib/node-gyp-bin/node-gyp.cmd

override_dh_link:
	rm -rf debian/npm/usr/share/nodejs/npm/man
	dh_link

override_dh_gencontrol:
	dh_gencontrol -- -Vpacote:Version="$(PACOTE_VERSION)" \
			-Vqrt:Version="$(QRT_VERSION)" \
			-Vnpmpl:Version="$(NPM_PACKLIST_VERSION)" \
			-Varborist:Version="$(ARBORIST_VERSION)"

=== debian/watch ===
version=4
opts=\
repacksuffix=~ds,\
repack,compression=xz,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/npm-$1/,\
dversionmangle=auto \
 https://github.com/npm/cli/tags .*/archive/.*/v?([\d\.]+).tar.gz

# Experimental releases
# https://github.com/npm/cli/tags .*/archive/.*/v?([\d\.]+(?:\-[\w\.]+)?).tar.gz

## npm 8.5.5~ds1

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,8 @@
 # don't regenerate the snapshot if we're generating
 # snapshots, since presumably we just did that.
 mandocs: dev-deps $(mandocs)
-	@ ! [ $${npm_lifecycle_event} = "snap" ] && \
-	  ! [ $${npm_lifecycle_event} = "postsnap" ] && \
+	@ ! [ "$${npm_lifecycle_event}" = "snap" ] && \
+	  ! [ "$${npm_lifecycle_event}" = "postsnap" ] && \
 	  TAP_SNAPSHOT=1 node test/lib/utils/config/definitions.js || true
 
 $(version_mandocs): package.json
@@ -78,7 +78,7 @@
 docs/content/using-npm/config.md: scripts/config-doc.js lib/utils/config/*.js
 	node scripts/config-doc.js
 
-docs/content/commands/npm-%.md: lib/%.js scripts/config-doc-command.js lib/utils/config/*.js
+docs/content/commands/npm-%.md: lib/commands/%.js scripts/config-doc-command.js lib/utils/config/*.js
 	node scripts/config-doc-command.js $@ $<
 
 freshdocs:

=== debian/changelog ===
npm (8.5.5~ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Drop test: tap 15 not available in backports

 -- Yadd <yadd@debian.org>  Sat, 19 Mar 2022 20:37:00 +0100

npm (8.5.5~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.5~ds1
  * Refresh patches
  * Use dh_nodejs_autodocs

 -- Yadd <yadd@debian.org>  Sat, 19 Mar 2022 12:37:26 +0100

npm (8.5.4~ds1-1) unstable; urgency=medium

  * Team upload

  [ deb-scrub-obsolete ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Re-enable upstream test using tap >= 15
  * New upstream version 8.5.4~ds1

 -- Yadd <yadd@debian.org>  Fri, 11 Mar 2022 15:12:11 +0100

npm (8.5.3~ds1-1) unstable; urgency=medium

  * Team upload
  * Update excluded list and repack
  * Ignore "docs" component, automatically added by workspace field
  * Install upstream doc

 -- Yadd <yadd@debian.org>  Mon, 07 Mar 2022 09:40:09 +0100

npm (8.5.3~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.3~ds

 -- Yadd <yadd@debian.org>  Mon, 07 Mar 2022 06:22:24 +0100

npm (8.5.2~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.2~ds
  * Refresh patches
  * Clean copyright
  * Clean lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 02 Mar 2022 22:29:34 +0100

npm (8.5.1~ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Wed, 23 Feb 2022 16:32:01 +0100

npm (8.3.1~ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Wed, 19 Jan 2022 06:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  bash-completion,
- dh-sequence-nodejs (>= 0.11.5~),
+ dh-sequence-nodejs (>= 0.14.5~),
  help2man <!nodoc>,
  node-abbrev <!nocheck>,
  node-agent-base <!nocheck>,
@@ -58,8 +58,7 @@
  node-ssri <!nocheck>,
  node-string-width <!nocheck>,
  node-strip-ansi <!nocheck>,
- node-tap <!nodoc>,
- node-tar <!nocheck>,
+ node-tar (>= 6.1.11~) <!nocheck>,
  node-text-table <!nocheck>,
  node-validate-npm-package-license <!nocheck>,
  node-validate-npm-package-name <!nocheck>,
@@ -125,7 +124,7 @@
  node-ssri,
  node-string-width,
  node-strip-ansi,
- node-tar,
+ node-tar (>= 6.1.11~),
  node-text-table,
  node-validate-npm-package-license,
  node-validate-npm-package-name,
@@ -133,9 +132,8 @@
  node-wrappy,
  node-write-file-atomic,
  node-yallist,
- nodejs:any (>= 10),
+ nodejs:any (>= 10) | nodejs (>= 10),
 Recommends: git
- , node-tap
 Suggests: node-opener
 Provides: ${nodejs:Provides}
  , arborist (= ${arborist:Version})

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,10 @@
 		debian/npm/usr/share/nodejs/npm/bin/*.cmd \
 		debian/npm/usr/share/nodejs/npm/node_modules/@npmcli/run-script/lib/node-gyp-bin/node-gyp.cmd
 
+override_dh_installdocs:
+	dh_installdocs
+	dh_nodejs_autodocs
+
 override_dh_link:
 	rm -rf debian/npm/usr/share/nodejs/npm/man
 	dh_link

=== debian/tests/control ===
Tests: install-test, no-duplication
Depends: @
Restrictions: allow-stderr, needs-internet, skippable

Test-Command: npm --version
Depends: @
Restrictions: superficial
Features: test-name=npm-version

=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 opts=\
-repacksuffix=~ds,\
+repacksuffix=~ds1,\
 repack,compression=xz,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/npm-$1/,\
 dversionmangle=auto \

## npm 8.18.0~ds1

=== debian/changelog ===
npm (8.18.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.18.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 22 Aug 2022 09:58:09 +0200

npm (8.17.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.17.0~ds1

 -- Yadd <yadd@debian.org>  Sat, 13 Aug 2022 07:15:19 +0200

npm (8.16.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Add dependency to node-postcss-selector-parser and node-cssesc
  * New upstream version 8.16.0~ds1

 -- Yadd <yadd@debian.org>  Sun, 07 Aug 2022 21:36:22 +0200

npm (8.15.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.15.1~ds1

 -- Yadd <yadd@debian.org>  Fri, 29 Jul 2022 09:28:58 +0200

npm (8.15.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Add build dependency to node-dezalgo (fixes manpages)

 -- Yadd <yadd@debian.org>  Mon, 25 Jul 2022 17:07:01 +0200

npm (8.15.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.15.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 25 Jul 2022 11:56:30 +0200

npm (8.14.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.14.0~ds1
  * Add dependency to node-p-map

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 13:56:45 +0200

npm (8.13.2~ds1-1) unstable; urgency=medium

  * Team upload
  * Add missing build dependency on dh-nodejs for command dh_nodejs_autodocs
  * New upstream version 8.13.2~ds1

 -- Yadd <yadd@debian.org>  Thu, 30 Jun 2022 18:47:17 +0200

npm (8.13.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.13.1~ds1
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 08:24:38 +0200

npm (8.12.2~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.2~ds1

 -- Yadd <yadd@debian.org>  Thu, 16 Jun 2022 06:39:10 +0200

npm (8.12.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.1~ds1

 -- Yadd <yadd@debian.org>  Sat, 04 Jun 2022 11:35:19 +0200

npm (8.11.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 8.11.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 30 May 2022 06:03:55 +0200

npm (8.10.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Better autopkgtest

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 16:38:45 +0200

npm (8.10.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.10.0~ds1
  * Update autopkgtest

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 14:55:29 +0200

npm (8.9.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.9.0~ds1

 -- Yadd <yadd@debian.org>  Sun, 08 May 2022 11:15:36 +0200

npm (8.8.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude .github from import
  * New upstream version 8.8.0~ds1
  * Update copyright
  * Update test

 -- Yadd <yadd@debian.org>  Fri, 29 Apr 2022 16:02:14 +0200

npm (8.7.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Add missing dependency to node-http-proxy-agent

 -- Yadd <yadd@debian.org>  Mon, 25 Apr 2022 12:33:42 +0200

npm (8.7.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.7.0~ds1
  * Refresh patches
  * Update test

 -- Yadd <yadd@debian.org>  Sun, 24 Apr 2022 08:29:12 +0200

npm (8.6.0~ds2-2) unstable; urgency=medium

  * Team upload
  * Enable autopkgtest "require" test, except for npm itself
  * Add missing dependencies to node-binary-extensions and node-diff, thanks
    to autopkgtest

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 16:54:17 +0200

npm (8.6.0~ds2-1) unstable; urgency=medium

  * Team upload
  * Install all workspaces/* modules in nodejs root directories
  * Exclude dezalgo and npm-normalize-package-bin and add related dependencies
  * Reduce build dependencies
  * New upstream version 8.6.0~ds2

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 12:09:50 +0200

npm (8.6.0~ds1-3) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 07:41:21 +0200

npm (8.6.0~ds1-2) experimental; urgency=medium

  * Clean install
  * Drop npm-version test (needs a real terminal)

 -- Yadd <yadd@debian.org>  Tue, 05 Apr 2022 05:52:50 +0200

npm (8.6.0~ds1-1) experimental; urgency=medium

  * Team upload
  * Require node-cacache >= 16 and drop @gar/promisify and @npmcli/fs
  * New upstream version 8.6.0~ds1
  * Refresh patches
  * Update autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 04 Apr 2022 18:42:30 +0200

## npm 8.19.2~ds1

=== Makefile ===
# vim: set softtabstop=2 shiftwidth=2:
SHELL = bash

PUBLISHTAG = $(shell node scripts/publish-tag.js)

# these docs have the @VERSION@ tag in them, so they have to be rebuilt
# whenever the package.json is touched, in case the version changed.
version_mandocs = $(shell grep -rl '@VERSION@' docs/content \
									|sed 's|.md|.1|g' \
									|sed 's|docs/content/commands/|man/man1/|g' )

cli_mandocs = $(shell find docs/content/commands -name '*.md' \
               |sed 's|.md|.1|g' \
               |sed 's|docs/content/commands/|man/man1/|g' )

files_mandocs = $(shell find docs/content/configuring-npm -name '*.md' \
               |sed 's|.md|.5|g' \
               |sed 's|docs/content/configuring-npm/|man/man5/|g' )

misc_mandocs = $(shell find docs/content/using-npm -name '*.md' \
               |sed 's|.md|.7|g' \
               |sed 's|docs/content/using-npm/|man/man7/|g' )

mandocs = $(cli_mandocs) $(files_mandocs) $(misc_mandocs)

markdown_docs = $(shell for file in $(find lib/commands -name '*.js'); do echo docs/content/commands/npm-$(basename $file .js).md; done)

all: docs

docs: mandocs htmldocs $(markdown_docs)

# don't regenerate the snapshot if we're generating
# snapshots, since presumably we just did that.
mandocs: deps $(mandocs)
	@ ! [ "$${npm_lifecycle_event}" = "snap" ] && \
	  ! [ "$${npm_lifecycle_event}" = "postsnap" ] && \
	  TAP_SNAPSHOT=1 node test/lib/utils/config/definitions.js || true

$(version_mandocs): package.json

htmldocs: deps
	node bin/npm-cli.js rebuild cmark-gfm
	node docs/bin/dockhand.js

clean: docsclean gitclean

docsclean:
	rm -rf man

deps:
	node bin/npm-cli.js run resetdeps

## targets for man files, these are encouraged to be only built by running `make docs` or `make mandocs`
man/man1/%.1: docs/content/commands/%.md docs/bin/docs-build.js
	@[ -d man/man1 ] || mkdir -p man/man1
	node docs/bin/docs-build.js $< $@

man/man5/npm-json.5: man/man5/package.json.5
	cp $< $@

man/man5/npm-global.5: man/man5/folders.5
	cp $< $@

man/man5/%.5: docs/content/configuring-npm/%.md docs/bin/docs-build.js
	@[ -d man/man5 ] || mkdir -p man/man5
	node docs/bin/docs-build.js $< $@

man/man7/%.7: docs/content/using-npm/%.md docs/bin/docs-build.js
	@[ -d man/man7 ] || mkdir -p man/man7
	node docs/bin/docs-build.js $< $@

# Any time the config definitions description changes, automatically
# update the documentation to account for it
docs/content/using-npm/config.md: docs/bin/config-doc.js lib/utils/config/*.js
	node docs/bin/config-doc.js

mddocs: docs/bin/config-doc-command.js lib/utils/config/*.js lib/utils/cmd-list.js
	@for file in $(shell find docs/content/commands -name 'npm-*.md'); do \
		cmdname=$$(basename $$file .md) ;\
		cmdname=$${cmdname##npm-} ;\
		echo node docs/bin/config-doc-command.js $${file} lib/commands/$${cmdname}.js ;\
		node docs/bin/config-doc-command.js $${file} lib/commands/$${cmdname}.js ;\
	done

docs/content/commands/npm-%.md: lib/commands/%.js
	node docs/bin/config-doc-command.js $@ $<

freshdocs:
	touch lib/utils/config/definitions.js
	touch docs/bin/*.js
	make docs
	make mddocs

test-all: deps
	node bin/npm-cli.js run test-all

ls-ok:
	node bin/npm-cli.js ls --omit=dev >/dev/null

gitclean:
	git clean -fd

uninstall:
	node bin/npm-cli.js rm -g -f npm

link: uninstall
	node bin/npm-cli.js link -f --ignore-scripts

prune: deps
	node bin/npm-cli.js prune --omit=dev --no-save --no-audit --no-fund
	node scripts/git-dirty.js

publish: gitclean ls-ok link test-all docs prune
	node bin/npm-cli.js publish --tag=$(PUBLISHTAG)

release: gitclean ls-ok docs prune
	@bash scripts/release.sh

.PHONY: all latest install dev link docs mddocs clean uninstall test-all man docsclean release ls-ok deps prune freshdocs

=== debian/changelog ===
npm (8.19.2~ds1-2) unstable; urgency=medium

  * Team upload
  * Clean copyright
  * Update lintian overrides
  * Don't import .gitignore
  * Drop __proto__ calls in tests

 -- Yadd <yadd@debian.org>  Wed, 21 Sep 2022 14:40:27 +0200

npm (8.19.2~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude proc-log from import and require node-proc-log
  * New upstream version 8.19.2~ds1
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sat, 17 Sep 2022 16:44:31 +0200

=== debian/control ===
Source: npm
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.14.5~)
 , bash-completion
 , help2man <!nodoc>
 , node-cacache (>= 16) <!nodoc>
 , node-chownr <!nodoc>
 , node-cssesc <!nodoc>
 , node-depd <!nodoc>
 , node-dezalgo <!nodoc>
 , node-gyp <!nodoc>
 , node-http-cache-semantics <!nodoc>
 , node-ini <!nodoc>
 , node-ip <!nodoc>
 , node-marked-man <!nodoc>
 , node-negotiator <!nodoc>
 , node-npm-bundled <!nodoc>
 , node-npm-package-arg <!nodoc>
 , node-postcss-selector-parser <!nodoc>
 , node-npmlog <!nodoc>
 , node-p-map <!nodoc>
 , node-promise-retry <!nodoc>
 , node-read-package-json <!nodoc>
 , node-semver <!nocheck> <!nodoc>
 , node-tap <!nodoc>
 , node-tar <!nodoc>
 , node-yallist <!nodoc>
 , dh-nodejs
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/npm
Vcs-Git: https://salsa.debian.org/js-team/npm.git
Homepage: https://docs.npmjs.com/
Rules-Requires-Root: no

Package: npm
Architecture: all
Depends: ${misc:Depends}
 , ca-certificates
 , node-abbrev
 , node-agent-base
 , node-ansistyles
 , node-aproba
 , node-archy
 , node-asap
 , node-binary-extensions
 , node-cacache (>= 16)
 , node-chalk
 , node-chownr
 , node-cli-table3
 , node-colors
 , node-columnify
 , node-cssesc
 , node-debug
 , node-depd
 , node-dezalgo
 , node-diff
 , node-emoji-regex
 , node-encoding
 , node-glob
 , node-got
 , node-graceful-fs
 , node-gyp
 , node-hosted-git-info
 , node-http-proxy-agent
 , node-https-proxy-agent
 , node-ini
 , node-ip
 , node-ip-regex
 , node-json-parse-better-errors
 , node-jsonparse
 , node-lru-cache
 , node-minimatch
 , node-minipass
 , node-mkdirp
 , node-ms
 , node-negotiator
 , node-nopt
 , node-normalize-package-data
 , node-npm-bundled
 , node-npm-normalize-package-bin
 , node-npm-package-arg
 , node-npmlog
 , node-once
 , node-p-map
 , node-postcss-selector-parser
 , node-promise-retry
 , node-promzard
 , node-read
 , node-read-package-json
 , node-rimraf
 , node-semver
 , node-ssri
 , node-string-width
 , node-strip-ansi
 , node-tar
 , node-text-table
 , node-validate-npm-package-license
 , node-validate-npm-package-name
 , node-which
 , node-wrappy
 , node-write-file-atomic
 , node-yallist
 , nodejs:any
Recommends: git
 , node-tap
Suggests: node-opener
Provides: ${nodejs:Provides}
 , arborist (= ${arborist:Version})
 , npm-packlist (= ${npmpl:Version})
 , pacote (= ${pacote:Version})
 , qrcode-terminal (= ${qrt:Version})
Description: package manager for Node.js
 Node.js is an event-based server-side javascript engine.
 .
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.
 .
 Install also node-opener to have full npm features enabled.

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,19 @@
 	# Test are lauched only during autopkgtest
 
 override_dh_auto_install:
+	# Since node_modules/* is declared in additional_components, clean unwanted modules
+	pkgjs-utils clean_test_modules
+	pkgjs-utils clean_external_modules
+	pkgjs-utils clean_build_modules
 	dh_auto_install --buildsystem=nodejs
 	rm -vf debian/npm/usr/share/nodejs/npm/bin/node-gyp-bin/node-gyp.cmd \
 		debian/npm/usr/share/nodejs/npm/bin/*.cmd \
 		debian/npm/usr/share/nodejs/npm/node_modules/@npmcli/run-script/lib/node-gyp-bin/node-gyp.cmd
+	LIST=`pkgjs-utils root_modules_list 2>/dev/null` && cd debian/npm/usr/share/nodejs/npm/node_modules && rm -r $$LIST || true
+	for m in workspaces/*; do \
+		NAME=`pkgjs-pjson $$m name`; \
+		(cd debian/npm/usr/share/nodejs/npm/node_modules && rm -rf $$NAME); \
+	done
 
 override_dh_installdocs:
 	dh_installdocs

## npm 9.1.2~ds1

=== debian/changelog ===
npm (9.1.2~ds1-3) unstable; urgency=medium

  * Team upload
  * Fix audit report

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 06:39:29 +0100

npm (9.1.2~ds1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Fri, 18 Nov 2022 11:04:41 +0100

npm (9.1.2~ds1-1) experimental; urgency=medium

  * Team upload
  * Keep chalk 4 in embedded modules
  * Enable more tests
  * New upstream version 9.1.2~ds1

 -- Yadd <yadd@debian.org>  Fri, 18 Nov 2022 08:21:30 +0100

npm (9.1.1~ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 9.1.1~ds1
  * Drop npm-packlist link: no more a binary
  * Use custom builder for manpages (missing dependency)
  * Refresh patches
  * Update excluded-files field
  * Update docs
  * Require:
    + node-cacache >= 17
    + node-hosted-git-info >= 6
    + node-npm-package-arg >= 10
  * Update test

 -- Yadd <yadd@debian.org>  Wed, 16 Nov 2022 15:47:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , dh-sequence-nodejs (>= 0.14.5~)
  , bash-completion
  , help2man <!nodoc>
- , node-cacache (>= 16) <!nodoc>
+ , node-cacache (>= 17) <!nodoc>
  , node-chownr <!nodoc>
  , node-cssesc <!nodoc>
  , node-depd <!nodoc>
@@ -20,7 +20,7 @@
  , node-marked-man <!nodoc>
  , node-negotiator <!nodoc>
  , node-npm-bundled <!nodoc>
- , node-npm-package-arg <!nodoc>
+ , node-npm-package-arg (>= 10) <!nodoc>
  , node-postcss-selector-parser <!nodoc>
  , node-npmlog <!nodoc>
  , node-p-map <!nodoc>
@@ -47,8 +47,9 @@
  , node-aproba
  , node-archy
  , node-asap
+ , node-base64-js
  , node-binary-extensions
- , node-cacache (>= 16)
+ , node-cacache (>= 17)
  , node-chalk
  , node-chownr
  , node-cli-table3
@@ -61,13 +62,15 @@
  , node-diff
  , node-emoji-regex
  , node-encoding
+ , node-events
  , node-glob
  , node-got
  , node-graceful-fs
  , node-gyp
- , node-hosted-git-info
+ , node-hosted-git-info (>= 6)
  , node-http-proxy-agent
  , node-https-proxy-agent
+ , node-ieee754
  , node-ini
  , node-ip
  , node-ip-regex
@@ -83,7 +86,7 @@
  , node-normalize-package-data
  , node-npm-bundled
  , node-npm-normalize-package-bin
- , node-npm-package-arg
+ , node-npm-package-arg (>= 10)
  , node-npmlog
  , node-once
  , node-p-map
@@ -111,7 +114,6 @@
 Suggests: node-opener
 Provides: ${nodejs:Provides}
  , arborist (= ${arborist:Version})
- , npm-packlist (= ${npmpl:Version})
  , pacote (= ${pacote:Version})
  , qrcode-terminal (= ${qrt:Version})
 Description: package manager for Node.js

## npm 9.1.3~ds1

=== debian/changelog ===
npm (9.1.3~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude ci-info from import
  * Re-exclude chalk from import
  * New upstream version 9.1.3~ds1
  * Add fix for node-chalk 5

 -- Yadd <yadd@debian.org>  Fri, 02 Dec 2022 16:40:14 +0100

=== debian/control ===
--- 
+++ 
@@ -50,8 +50,9 @@
  , node-base64-js
  , node-binary-extensions
  , node-cacache (>= 17)
- , node-chalk
+ , node-chalk (>= 5.1.2-2~)
  , node-chownr
+ , node-ci-info
  , node-cli-table3
  , node-colors
  , node-columnify

## npm 9.2.0~ds1

=== Makefile ===
REPORTER = spec
test:
	@NODE_ENV=test ./node_modules/.bin/mocha -b --reporter $(REPORTER) --check-leaks

lint:
	./node_modules/.bin/jshint ./test ./index.js

test-cov:
	$(MAKE) lint
	@NODE_ENV=test ./node_modules/.bin/istanbul cover \
	./node_modules/mocha/bin/_mocha -- -R spec --check-leaks

test-coveralls:
	echo TRAVIS_JOB_ID $(TRAVIS_JOB_ID)
	$(MAKE) test
	@NODE_ENV=test ./node_modules/.bin/istanbul cover \
	./node_modules/mocha/bin/_mocha --check-leaks --report lcovonly -- -R spec && \
		cat ./coverage/lcov.info | ./node_modules/coveralls/bin/coveralls.js || true

.PHONY: test

=== debian/changelog ===
npm (9.2.0~ds1-3) unstable; urgency=medium

  * Patch: fix exit codes in node 20.
  * Disable exit-handler test
  * no-duplication test: needs pkg-js-tools

 -- Jérémy Lal <kapouer@melix.org>  Mon, 27 May 2024 09:38:14 +0200

npm (9.2.0~ds1-2) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2-3
    + debian/npm.lintian-overrides: line 2-4, 6
  * Update standards version to 4.6.2, no changes needed

  [ Yadd ]
  * Add patch for node-https-proxy-agent >= 7

 -- Yadd <yadd@debian.org>  Thu, 23 Nov 2023 11:39:13 +0400

npm (9.2.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Enable more tests
  * New upstream version 9.2.0~ds1
  * Dependencies: drop node-ansistyles, node-asap and node-dezalgo

 -- Yadd <yadd@debian.org>  Sun, 11 Dec 2022 15:07:55 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  , node-tar <!nodoc>
  , node-yallist <!nodoc>
  , dh-nodejs
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/npm
 Vcs-Git: https://salsa.debian.org/js-team/npm.git
 Homepage: https://docs.npmjs.com/
@@ -43,10 +43,8 @@
  , ca-certificates
  , node-abbrev
  , node-agent-base
- , node-ansistyles
  , node-aproba
  , node-archy
- , node-asap
  , node-base64-js
  , node-binary-extensions
  , node-cacache (>= 17)
@@ -59,7 +57,6 @@
  , node-cssesc
  , node-debug
  , node-depd
- , node-dezalgo
  , node-diff
  , node-emoji-regex
  , node-encoding

=== debian/tests/control ===
Tests: install-test, no-duplication
Depends: @, pkg-js-tools
Restrictions: allow-stderr, needs-internet, skippable

## npm 9.2.0~ds2

=== debian/changelog ===
npm (9.2.0~ds2-2) unstable; urgency=medium

  * Team upload
  * Require rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Sat, 27 Dec 2025 00:38:30 +0100

npm (9.2.0~ds2-1) unstable; urgency=medium

  * New upstream version 9.2.0~ds2
  * Remove some useless Files-Excluded lines
  * Properly exclude minipass to avoid using it by mistake
  * Fix port-to-rimraf-4 patch

 -- Jérémy Lal <kapouer@melix.org>  Thu, 25 Dec 2025 16:56:43 +0100

npm (9.2.0~ds1-5) unstable; urgency=medium

  * Team upload
  * Port to node-rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Thu, 25 Dec 2025 10:51:30 +0100

npm (9.2.0~ds1-4) unstable; urgency=medium

  * Team upload

  [ Jérémy Lal ]

  * d/README.source: drop info about cdbs. Closes: #1110347.

  [ Bastien Roucariès ]
  * port to glob 10
  * port to minipass 5

 -- Bastien Roucariès <rouca@debian.org>  Sun, 23 Nov 2025 12:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,8 @@
  , node-emoji-regex
  , node-encoding
  , node-events
- , node-glob
+ , node-fs-minipass
+ , node-glob (>= 10.0.0~)
  , node-got
  , node-graceful-fs
  , node-gyp
@@ -76,7 +77,7 @@
  , node-jsonparse
  , node-lru-cache
  , node-minimatch
- , node-minipass
+ , node-minipass (>= 5.0.0~)
  , node-mkdirp
  , node-ms
  , node-negotiator
@@ -93,7 +94,7 @@
  , node-promzard
  , node-read
  , node-read-package-json
- , node-rimraf
+ , node-rimraf (>= 4.0.0)
  , node-semver
  , node-ssri
  , node-string-width

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 
 override_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	prefix=/usr make mandocs
+	mkdir -p man/man1 man/man5
+	debian/build-man-commands `find docs/lib/content/c* -name '*.md'` >debian/build-manpages
+	sh -ex debian/build-manpages
 	help2man --no-discard-stderr -n "the npm tree doctor" -N \
 			--version-string $(ARBORIST_VERSION) \
 			node_modules/@npmcli/arborist/bin/index.js \
@@ -23,17 +25,13 @@
 	node_modules/qrcode-terminal/bin/qrcode-terminal.js --help
 	help2man -N -n 'The JavaScript Package Handler' --version-string $(PACOTE_VERSION) \
 		node_modules/pacote/lib/bin.js >man/man1/pacote.1
-	help2man -N -n 'List files to embed in npm package' --version-string $(NPM_PACKLIST_VERSION) \
-		node_modules/npm-packlist/bin/index.js >man/man1/npm-packlist.1
 endif
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	chmod a-x debian/npm/usr/share/nodejs/npm/lib/utils/completion.sh
 	chmod a+x debian/npm/usr/share/nodejs/npm/bin/npm-cli.js
 	chmod a+x debian/npm/usr/share/nodejs/npm/bin/npx-cli.js
 	chmod a+x debian/npm/usr/share/nodejs/@npmcli/arborist/bin/index.js
-	chmod a+x debian/npm/usr/share/nodejs/npm-packlist/bin/index.js
 	chmod a+x debian/npm/usr/share/nodejs/pacote/lib/bin.js
 	chmod a+x debian/npm/usr/share/nodejs/qrcode-terminal/bin/qrcode-terminal.js
 
@@ -55,16 +53,13 @@
 		(cd debian/npm/usr/share/nodejs/npm/node_modules && rm -rf $$NAME); \
 	done
 
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	dh_nodejs_autodocs
 
-override_dh_link:
+execute_before_dh_link:
 	rm -rf debian/npm/usr/share/nodejs/npm/man
-	dh_link
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vpacote:Version="$(PACOTE_VERSION)" \
 			-Vqrt:Version="$(QRT_VERSION)" \
-			-Vnpmpl:Version="$(NPM_PACKLIST_VERSION)" \
 			-Varborist:Version="$(ARBORIST_VERSION)"

=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Dversionmangle: auto
Owner: npm
Project: cli
Repack: yes
Repacksuffix: ~ds2
Uversionmangle: s/-/~/g

## npm 9.2.0~ds3

=== debian/changelog ===
npm (9.2.0~ds3-1) unstable; urgency=medium

  * Team upload
  * Remove node-env-paths

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Mar 2026 19:23:14 +0100

=== debian/watch ===
version=4
opts=\
repacksuffix=~ds3,\
repack,compression=xz,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/npm-$1/,\
uversionmangle=s/-/~/g,\
dversionmangle=auto,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
  https://api.github.com/repos/npm/cli/git/matching-refs/tags/ \
  https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
